Bug 104577 - [PATCH] sysutils/heartbeat: update to 1.2.5
[PATCH] sysutils/heartbeat: update to 1.2.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: alepulver
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 18:00 UTC by uspoerlein
Modified: 2006-11-01 20:10 UTC (History)
1 user (show)

See Also:


Attachments
heartbeat-1.2.5.patch (7.77 KB, patch)
2006-10-19 18:00 UTC, uspoerlein
no flags Details | Diff
file.diff (705 bytes, patch)
2006-10-19 18:00 UTC, uspoerlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description uspoerlein 2006-10-19 18:00:28 UTC
- Update to 1.2.5, fixing a DoS vulnerability
- usr /var for runtime files making it possible to keep /usr mounted r/o
- Grab 275 as a reserved UID and GID
- Remove old cruft in pkg-install
- Make 'make -DBATCH install' work non-interactively
- Make 'pkg_add heartbeat-1.2.5' work non-interactively
  Note: Installation will fail without the user/group, so I simply create them

Port maintainer (scott-ports@tummy.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-10-19 18:00:49 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 scott-ports 2006-10-22 01:45:16 UTC
I approve the patch.  Thank you!

-Scott

On Thu, Oct 19, 2006 at 05:00:46PM +0000, Edwin Groothuis wrote:
>Maintainer of sysutils/heartbeat,
>
>Please note that PR ports/104577 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/104577
>
>-- 
>Edwin Groothuis
>edwin@FreeBSD.org

-- 
Regards,                    tummy.com, ltd
Scott Kleihege              Linux Consulting since 1995
                            http://www.tummy.com/
Comment 3 lawrance freebsd_committer 2006-10-22 04:30:55 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 alepulver freebsd_committer 2006-10-31 18:29:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 5 dfilter freebsd_committer 2006-11-01 20:02:46 UTC
alepulver    2006-11-01 20:02:32 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/heartbeat   Makefile distinfo pkg-plist 
    sysutils/heartbeat/files pkg-install.in 
  Log:
  - Update to 1.2.5, fixing a DoS vulnerability.
  - usr /var for runtime files making it possible to keep /usr mounted r/o.
  - Grab 275 as a reserved UID and GID.
  - Remove old cruft in pkg-install.
  - Make 'make -DBATCH install' work non-interactively.
  - Make 'pkg_add heartbeat-1.2.5' work non-interactively.
  - Installation will fail without the user/group, so I simply create them.
  
  PR:             ports/104577
  Submitted by:   Ulrich Spoerlein <uspoerlein@gmail.com>
  Approved by:    Scott Kleihege <scott-ports@tummy.com> (maintainer)
  
  Revision  Changes    Path
  1.8       +10 -4     ports/sysutils/heartbeat/Makefile
  1.4       +3 -3      ports/sysutils/heartbeat/distinfo
  1.3       +30 -74    ports/sysutils/heartbeat/files/pkg-install.in
  1.4       +3 -3      ports/sysutils/heartbeat/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 alepulver freebsd_committer 2006-11-01 20:06:20 UTC
State Changed
From-To: open->closed

Committed, thanks!